package p2.application.tauthgroup_apps;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tauthgroup.tauthgroup;

public class tauthgroup_apps extends PaoCust {
    public tauthgroup_apps(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void init() throws P2Exception {
        super.init();
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tauthgroup) {
            setValue("siteid", getOwner().getString("siteid"), 11L);
            setValue("tauthgroupid", getOwner().getUniqueIDValue(), 11L);
        }
    }

    @Override
    protected void save() throws P2Exception {
        super.save();
    }
}
